Modify

Opened 8 years ago

Closed 8 years ago

#3082 closed Bugs (fixed)

Boost.Unordered throws 64-bit portability warnings

Reported by: Daniel James Owned by: Daniel James
Milestone: Boost 1.40.0 Component: unordered
Version: Boost 1.38.0 Severity: Cosmetic
Keywords: Cc:

Attachments (0)

Change History (1)

comment:1 Changed 8 years ago by Daniel James

Resolution: fixed
Status: newclosed

(In [53687]) Misc. unordered changes. Fixes #3082, #3119.

Merged revisions 53505-53506,53525,53550,53552,53614 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r53505 | danieljames | 2009-05-31 16:50:56 +0100 (Sun, 31 May 2009) | 1 line

Disable incorrect Visual C++ 64-bit warnings. Ref #3082.

........

r53506 | danieljames | 2009-05-31 16:53:09 +0100 (Sun, 31 May 2009) | 1 line

Remove misplaced visual C++ warning pragma.

........

r53525 | danieljames | 2009-06-01 07:50:37 +0100 (Mon, 01 Jun 2009) | 1 line

Fix tests for when the library has support for initializer lists but the compiler doesn't.

........

r53550 | danieljames | 2009-06-01 20:17:49 +0100 (Mon, 01 Jun 2009) | 1 line

Get the type of the initializer_list right.

........

r53552 | danieljames | 2009-06-01 20:22:27 +0100 (Mon, 01 Jun 2009) | 1 line

Fix the unordered_map declaration in the tutorial. Fixes #3119.

........

r53614 | danieljames | 2009-06-03 23:48:49 +0100 (Wed, 03 Jun 2009) | 1 line

The move tests pass on 64 bit visual c++.

........

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Daniel James.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.